### Function

# GLib Tree new

#### Declaration

    GTree*
    g_tree_new (
      GCompareFunc key_compare_func
    )

#### Description

Creates a new `GTree`.

This function is not directly available to language bindings.

#### Parameters

`key_compare_func`

  Type: `GCompareFunc`

  The function used to order the nodes in the `GTree`. It should return values similar to the standard `strcmp()` function - 0 if the two arguments are equal, a negative value if the first argument comes before the second, or a positive value if the first argument comes after the second.

#### Return value

Type: `GTree`

A newly allocated `GTree`.

The caller of the function takes ownership of the data, and is responsible for freeing it.